singleton Material(dunebug_buggy_sheetmetal) //body colour
{
   mapTo = "buggy_sheetmetal";
   diffuseMap[0] = "vehicles/dscscarab/dscscarab_sheet.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "1.0 1.0 1.0 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dunebug_buggy_frame)
{
   mapTo = "buggy_frame";
   diffuseMap[0] = "vehicles/dscscarab/dscscarab_frame.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "1.0 1.0 1.0 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(dunebug_BarWork)
{
   mapTo = "BarWork";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.2 0.2 0.2 1.8";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dunebug_hatch) //engine texture
{
   mapTo = "hatch";
   diffuseMap[2] = "vehicles/hatch/hatch_c.dds";
   specularMap[2] = "vehicles/hatch/hatch_s.dds";
   normalMap[2] = "vehicles/hatch/hatch_n.dds";
   diffuseMap[1] = "vehicles/hatch/hatch_d.dds";
   specularMap[1] = "vehicles/hatch/hatch_s.dds";
   normalMap[1] = "vehicles/hatch/hatch_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/hatch/hatch_n.dds";
   //diffuseMap[3] = "vehicles/hatch/hatch_dirt.dds";
   //normalMap[3] = "vehicles/hatch/hatch_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   diffuseColor[2] = "0.1 0.4 0.8 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dunebug_pickup6wd_tire) //dkutch wheels
{
   mapTo = "pickup6wd_tire";
   diffuseMap[0] = "vehicles/dscscarab/dscscarab_tiretex_d.dds";
   normalMap[0] = "vehicles/dunebug/dscscarab_tiretex_n.dds";
   specularMap[0] = "vehicles/dunebug/dscscarab_tiretex_s.dds";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "0";
   translucentBlendOp = "None";
};

singleton Material(helljeep_tires)
{
   mapTo = "helljeep_tires";
   diffuseMap[1] = "vehicles/helljeep/helljeep_tire_d.dds";
   normalMap[1] = "vehicles/helljeep/helljeep_tire_n.dds";   
   specularMap[1] = "vehicles/helljeep/helljeep_tire_s.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/helljeep/helljeep_tire_n.dds";  
   diffuseMap[2] = "vehicles/helljeep/helljeep_tire_d_dirt.dds";
   normalMap[2] = "vehicles/helljeep/helljeep_tire_n_dirt.dds";   
   specularMap[2] = "vehicles/helljeep/helljeep_tire_s_dirt.dds";   
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(helljeep_rims)
{
   mapTo = "helljeep_rims";
   diffuseMap[1] = "vehicles/helljeep/helljeep_h1rims_d.dds";
   normalMap[1] = "vehicles/helljeep/helljeep_h1rims_n.dds";   
   specularMap[1] = "vehicles/helljeep/helljeep_h1rims_s.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/helljeep/helljeep_h1rims_n.dds";  
   diffuseMap[2] = "vehicles/helljeep/helljeep_h1rims_d_dirt.dds";
   normalMap[2] = "vehicles/helljeep/helljeep_h1rims_n.dds";   
   specularMap[2] = "vehicles/helljeep/helljeep_h1rims_s.dds";   
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   //cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dunebug_buggy_misc) //misc items
{
   mapTo = "buggy_misc";
   diffuseMap[0] = "vehicles/dscscarab/dscscarab_misc.png";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "1.0 1.0 1.0 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(dunebug_super_gauges) //super gauges
{
   mapTo = "super_gauges";
   diffuseMap[0] = "vehicles/super/super_gauges_d.dds";
   specularMap[0] = "vehicles/super/super_gauges_s.dds";
   normalMap[0] = "vehicles/super/super_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   useAnisotropic[0] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
};

singleton Material(super_gauges_on)
{
   mapTo = "super_gauges_on";
   diffuseMap[1] = "vehicles/super/super_gauges_d.dds";
   specularMap[1] = "vehicles/super/super_gauges_s.dds";
   normalMap[1] = "vehicles/super/super_gauges_n.dds";
   diffuseMap[0] = "vehicles/super/super_gauges_d.dds";
   specularMap[0] = "vehicles/super/super_gauges_s.dds";
   normalMap[0] = "vehicles/super/super_gauges_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   glow[1] = "1";
   emissive[1] = "1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 0.2";
};


singleton Material(super_lights) //super lights
{
   mapTo = "super_lights";
   diffuseMap[1] = "vehicles/super/super_lights_d.dds";
   specularMap[1] = "vehicles/super/super_lights_s.dds";
   normalMap[1] = "vehicles/super/super_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/super/super_lights_n.dds";
   //diffuseMap[2] = "vehicles/super/super_lights_dirt.dds";
   //normalMap[2] = "vehicles/super/super_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(super_lights_on) //super lights
{
   mapTo = "super_lights_on";
   diffuseMap[2] = "vehicles/super/super_lights_g.dds";
   specularMap[2] = "vehicles/super/super_lights_s.dds";
   normalMap[2] = "vehicles/super/super_lights_n.dds";
   diffuseMap[1] = "vehicles/super/super_lights_d.dds";
   specularMap[1] = "vehicles/super/super_lights_s.dds";
   normalMap[1] = "vehicles/super/super_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/super/super_lights_n.dds";
   //diffuseMap[3] = "vehicles/super/super_lights_dirt.dds";
   //normalMap[3] = "vehicles/super/super_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.12";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(super_lights_on_intense) //super lights
{
   mapTo = "super_lights_on_intense";
   diffuseMap[2] = "vehicles/super/super_lights_g.dds";
   specularMap[2] = "vehicles/super/super_lights_s.dds";
   normalMap[2] = "vehicles/super/super_lights_n.dds";
   diffuseMap[1] = "vehicles/super/super_lights_d.dds";
   specularMap[1] = "vehicles/super/super_lights_s.dds";
   normalMap[1] = "vehicles/super/super_lights_n.dds";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   normalMap[0] = "vehicles/super/super_lights_n.dds";
   //diffuseMap[3] = "vehicles/super/super_lights_dirt.dds";
   //normalMap[3] = "vehicles/super/super_lights_n.dds";
   specularPower[0] = "16";
   pixelSpecular[0] = "1";
   specularPower[1] = "16";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1.5 1.5 1.5 1";
   diffuseColor[2] = "1.5 1.5 1.5 0.20";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   useAnisotropic[2] = "1";
   //diffuseColor[3] = "1.5 1.5 1.5 1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   glow[2] = "1";
   emissive[2] = "1";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};


singleton Material(dscscarab_super_headlight) //super headlight texture base
{
   mapTo = "super_headlight";
   diffuseColor[0] = "0.4704 0.4704 0.4704 1";
   specular[0] = "0.9 0.9 0.9 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};

singleton Material(dscscarab_super_glass) //super headlight glass
{
   mapTo = "super_glass";
   diffuseMap[0] = "vehicles/super/super_glass_d.dds";
   specularMap[0] = "vehicles/super/super_glass_s.dds";
   diffuseMap[1] = "vehicles/super/super_glass_da.dds";
   specularMap[1] = "vehicles/super/super_glass_s.dds";
   //diffuseMap[2] = "vehicles/super/super_glass_dirt.dds";
   specularPower[0] = "128";
   pixelSpecular[0] = "1";
   specularPower[1] = "128";
   pixelSpecular[1] = "1";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "1 1 1 1";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   //diffuseColor[2] = "1.5 1.5 1.5 1";
   castShadows = "0";
   translucent = "1";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dscscarab_buggy_chrome)
{
   mapTo = "buggy_chrome";
   diffuseColor[0] = "0.8 0.8 0.8 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   cubemap = "BNG_Sky_02_cubemap";
   translucentBlendOp = "None";
};

singleton Material(dscscarab_buggy_shock)
{
   mapTo = "buggy_shock";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.0 0.5 0.0 0.9";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dscscarab_buggy_coil)
{
   mapTo = "buggy_coil";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.5 0.0 0.0 0.9";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dscscarab_buggy_halfshaftjoints)
{
   mapTo = "buggy_halfshaftjoints";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.25 0.25 0.25 1.7";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   beamngDiffuseColorSlot = 2;
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dscscarab_buggy_calipers)
{
   mapTo = "buggy_calipers";
   diffuseMap[0] = "vehicles/common/null.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseMap[1] = "vehicles/common/null.dds";
   specularMap[1] = "vehicles/common/null.dds";
   diffuseColor[0] = "1 1 1 1";
   diffuseColor[1] = "0.6 0.2 0.2 1.8";
   specularPower[0] = "16";
   specularPower[1] = "16";
   useAnisotropic[0] = "1";
   useAnisotropic[1] = "1";
   castShadows = "1";
   translucent = "1";
   translucentBlendOp = "None";
   alphaTest = "1";
   alphaRef = "0";
   cubemap = "BNG_Sky_02_cubemap";
   materialTag0 = "beamng"; materialTag1 = "vehicle";
};

singleton Material(dscscarab_buggy_discbrake)
{
   mapTo = "buggy_discbrake";
   diffuseMap[0] = "vehicles/dscscarab/dscscarab_discbrake.dds";
   specularMap[0] = "vehicles/common/null.dds";
   diffuseColor[0] = "1.0 1.0 1.0 1";
   specular[0] = "0.5 0.5 0.5 1";
   specularPower[0] = "50";
   doubleSided = "1";
   translucentBlendOp = "None";
};
